Package org.eclipse.ecf.provider.filetransfer.events.socket

## Class SocketEventSource

- java.lang.Object
- - org.eclipse.ecf.provider.filetransfer.events.socket.SocketEventSource

All Implemented Interfaces:
  `org.eclipse.core.runtime.IAdaptable`, `ISocketEventSource`

    public abstract class SocketEventSource
    extends Object
    implements ISocketEventSource

### Constructor Summary

Constructors
`SocketEventSource()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addListener​(ISocketListener l)`
`void` `fireEvent​(ISocketEvent event)`
`void` `removeListener​(ISocketListener l)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Constructor Detail

#### SocketEventSource

    public SocketEventSource()

### Method Detail

#### addListener

    public void addListener​(ISocketListener l)

Specified by:
  `addListener` in interface `ISocketEventSource`

#### removeListener

    public void removeListener​(ISocketListener l)

Specified by:
  `removeListener` in interface `ISocketEventSource`

#### fireEvent

    public void fireEvent​(ISocketEvent event)

Specified by:
  `fireEvent` in interface `ISocketEventSource`